require 'fastlane/plugin/polidea/version'
require 'fastlane/plugin/polidea/helper/analytics'

module Fastlane
  module Polidea
    # Return all .rb files inside the "actions" and "helper" directory
    def self.all_classes
      Dir[File.expand_path('**/{actions,helper}/*.rb', File.dirname(__FILE__))]
    end

    def self.session
      require 'securerandom'
      @session_id ||= SecureRandom.uuid
      @session ||= Analytics.new(@session_id)
    end

    def self.root
      File.expand_path('../../..', __dir__)
    end
  end
end

# By default we want to import all available actions and helpers
# A plugin can contain any number of actions and plugins
Fastlane::Polidea.all_classes.each do |current|
  require current
end
