module Fastlane
  module Polidea
    class Analytics
      GA_TRACKING = "UA-165836496-1"
      private_constant :GA_TRACKING

      attr_accessor :session_id
      attr_accessor :client

      def initialize(session_id)
        @session_id = session_id
        @client = FastlaneCore::AnalyticsIngesterClient.new(GA_TRACKING)
        @client_id = "fastlane-plugin-polidea@#{Fastlane::Polidea::VERSION}"
      end

      def action_launched(action_name, config)
        client.post_request({
          client_id: @session_id,
          category: @client_id,
          action: action_name,
          label: "launched"
        })
        config.values.filter { |k, v| !v.nil? }.keys.each do |param|
          client.post_request({
            client_id: @session_id,
            category: @client_id,
            action: "#{action_name}::#{param}",
            label: "param"
          })
        end
      end

      def action_completed(action_name)
        client.post_request({
          client_id: @session_id,
          category: @client_id,
          action: action_name,
          label: "completed"
        })
      end
    end
  end
end
