module Fastlane
  module Mime
    def self.content_type_for_file(file)
      file_extension = File.extname(file)
      extensions_to_type = {
        ".html" => "text/html",
        ".png"  => "image/png",
        ".jpg"  => "image/jpeg",
        ".gif"  => "image/gif",
        ".svg"  => "image/svg+xml",
        ".log"  => "text/plain",
        ".css"  => "text/css",
        ".js"   => "application/javascript"
      }
      if extensions_to_type[file_extension].nil?
        "application/octet-stream"
      else
        extensions_to_type[file_extension]
      end
    end
  end
end
