require 'net/http'

module Fastlane
  module S3
    class Client
      # Reference https://docs.aws.amazon.com/AmazonS3/latest/dev/UploadObjectPreSignedURLRubySDK.html
      def upload_file(presigned_url, file)
        url = URI.parse(presigned_url)
        Net::HTTP.start(url.host) do |http|
          http.send_request(
            'PUT',
            url.request_uri,
            File.read(file),
            'content-type' => ''
          )
        end
      end
    end
  end
end
